[arch-commits] Commit in giblib/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 5 22:02:39 EDT 2009


    Date: Sunday, April 5, 2009 @ 22:02:39
  Author: eric
Revision: 33922

Fixed svn conflict

Modified:
  giblib/repos/extra-x86_64/	(properties)
  giblib/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)


Property changes on: giblib/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /giblib/trunk:1
   + /giblib/trunk:1-33921

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-06 01:48:52 UTC (rev 33921)
+++ extra-x86_64/PKGBUILD	2009-04-06 02:02:39 UTC (rev 33922)
@@ -4,18 +4,22 @@
 
 pkgname=giblib
 pkgver=1.2.4
-pkgrel=3
+pkgrel=4
 pkgdesc="Giblib is a library that feh uses as a wrapper to imlib2"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
+url="http://linuxbrit.co.uk/giblib/"
+license=('MIT')
 depends=('imlib2' 'libxext' 'freetype2')
+options=('!libtool')
 source=(http://linuxbrit.co.uk/downloads/$pkgname-$pkgver.tar.gz)
-url="http://linuxbrit.co.uk/giblib/"
 md5sums=('c810ef5389baf24882a1caca2954385e')
 
 build() {
-cd $startdir/src/$pkgname-$pkgver
-./configure --prefix=/usr
-make || return 1
-make prefix=$startdir/pkg/usr install
-find $startdir/pkg -name '*.la' -exec rm {} \;
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
+  make || return 1
+  make DESTDIR=$pkgdir docsdir=/usr/share/doc/giblib install || return 1
+
+# install custom license
+  install -Dm644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
 }



More information about the arch-commits mailing list